<?php
 
# get correct id for plugin
$thisfile=basename(__FILE__, ".php");
 
# register plugin
register_plugin(
	$thisfile, //Plugin id
	'Dark Theme admin Mod', 	//Plugin name
	'1.5', 		//Plugin version
	'Mateusz Skrzypczak',  //Plugin author
	'https://www.multicolor.stargard.pl/', //author website
	'Темная тема администратора для GetSimple CMS. Подготовил для работы с 75-ю разными плагинами <a href="https://getsimplethemes.ru/" target="_blank">Светлов Олег</a>.', //Plugin description
	'plugins', //page type - on which admin tab to display
	'hello_world_show'  //main function (administration)
);

register_script('dark_theme', $SITEURL.'plugins/dark_theme/js/scriptdarktheme.js', '0.1', TRUE);
register_style('dark_theme_style', $SITEURL.'plugins/dark_theme/css/css.css', '0.1', FALSE);
register_style('dark_awessome', $SITEURL.'plugins/dark_theme/css/all.min.css', '0.1', FALSE);

queue_script ( 'dark_theme' , GSBACK ) ; 
queue_style( 'dark_theme_style' , GSBACK ) ;
queue_style( 'dark_awessome' , GSBACK ) ;
 
# activate filter 
add_action('header','dark_theme'); 
add_action('index-login','dark_theme'); 
 
# add a link in the admin tab 'theme'
add_action('plugins-sidebar','createSideMenu',array($thisfile,'АКТИВАЦИЯ ТЕМНОЙ ТЕМЫ'));
 
# functions
function dark_theme() {
	echo ('<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">');
	echo ('<link rel="preconnect" href="https://fonts.googleapis.com">
			<link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
			<link href="https://fonts.googleapis.com/css2?family=Open+Sans:ital,wght@0,300..800;1,300..800&family=Roboto+Condensed:ital,wght@0,100..900;1,100..900&display=swap" rel="stylesheet">');
}

function hello_world_show() {
	echo '<h3>Спасибо за установку!</h3> <p style="font-size:16px;">Этот плагин поможет вам пользоваться GetSimple CMS и на мобильных устройствах.</p>';
	
}
?>